diff -burp l4t-sources-28-1.orig/hardware/nvidia/platform/t18x/quill/kernel-dts/tegra186-quill-p3310-1000-a00-00-base.dts l4t-sources-28-1/hardware/nvidia/platform/t18x/quill/kernel-dts/tegra186-quill-p3310-1000-a00-00-base.dts
--- l4t-sources-28-1.orig/hardware/nvidia/platform/t18x/quill/kernel-dts/tegra186-quill-p3310-1000-a00-00-base.dts	2017-07-20 09:41:08.000000000 +0200
+++ l4t-sources-28-1/hardware/nvidia/platform/t18x/quill/kernel-dts/tegra186-quill-p3310-1000-a00-00-base.dts	2018-01-14 14:26:37.377031757 +0100
@@ -37,9 +37,16 @@
 	nvidia,proc-boardid = "3310:0000:A0";
 
 	chosen {
+		bootargs = "root=/dev/mmcblk0p1 rw rootwait console=ttyS0,115200n8 console=tty0 OS=l4t fbcon=map:0 net.ifnames=0  "; /*Z*/
 		board-has-eeprom;
-		bootargs ="console=ttyS0,115200";
+		/* bootargs ="console=ttyS0,115200"; */ /*Z*/
 		stdout-path = &uarta;
+
+		plugin-manager { /*Z*/
+			odm-data {
+				l4t;
+			};
+		};
 	};
 
 	firmware {
diff -burp l4t-sources-28-1.orig/hardware/nvidia/soc/t18x/kernel-dts/tegra186-soc/tegra186-soc-base.dtsi l4t-sources-28-1/hardware/nvidia/soc/t18x/kernel-dts/tegra186-soc/tegra186-soc-base.dtsi
--- l4t-sources-28-1.orig/hardware/nvidia/soc/t18x/kernel-dts/tegra186-soc/tegra186-soc-base.dtsi	2017-07-20 09:41:09.000000000 +0200
+++ l4t-sources-28-1/hardware/nvidia/soc/t18x/kernel-dts/tegra186-soc/tegra186-soc-base.dtsi	2018-01-14 14:30:57.289320962 +0100
@@ -1122,8 +1122,11 @@
 		compatible = "arm,cortex-a15-gic";
 		#interrupt-cells = <3>;
 		interrupt-controller;
-		reg = <0x0 0x03881000 0x0 0x00001000
-		       0x0 0x03882000 0x0 0x00002000>;
+		reg = <0x0 0x03881000 0x0 0x00001000>, /*Z*/
+		      <0x0 0x03882000 0x0 0x00002000>, /*Z*/
+		      <0x0 0x03884000 0x0 0x00002000>, /*Z*/
+		      <0x0 0x03886000 0x0 0x00002000>; /*Z*/
+		interrupts = <GIC_PPI 9 (GIC_CPU_MASK_SIMPLE(4) | IRQ_TYPE_LEVEL_HIGH)>; /*Z*/
 		status = "disabled";
 	};
 
diff -burp l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/devfreq/governor_pod_scaling.c l4t-sources-28-1/kernel/kernel-4.4/drivers/devfreq/governor_pod_scaling.c
--- l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/devfreq/governor_pod_scaling.c	2017-07-20 09:41:20.000000000 +0200
+++ l4t-sources-28-1/kernel/kernel-4.4/drivers/devfreq/governor_pod_scaling.c	2017-09-21 18:56:02.021150243 +0200
@@ -51,7 +51,7 @@
 #define CREATE_TRACE_POINTS
 #include <trace/events/nvhost_podgov.h>
 
-#include <governor.h>
+#include "governor.h"
 
 #include <linux/platform_device.h>
 #include <linux/pm_runtime.h>
diff -burp l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/devfreq/governor_wmark_active.c l4t-sources-28-1/kernel/kernel-4.4/drivers/devfreq/governor_wmark_active.c
--- l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/devfreq/governor_wmark_active.c	2017-07-20 09:41:20.000000000 +0200
+++ l4t-sources-28-1/kernel/kernel-4.4/drivers/devfreq/governor_wmark_active.c	2017-09-21 18:56:02.021150243 +0200
@@ -23,7 +23,7 @@
 #include <linux/platform_device.h>
 #include <linux/module.h>
 
-#include <governor.h>
+#include "governor.h"
 
 struct wmark_gov_info {
 	/* probed from the devfreq */
diff -burp l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/devfreq/governor_wmark_simple.c l4t-sources-28-1/kernel/kernel-4.4/drivers/devfreq/governor_wmark_simple.c
--- l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/devfreq/governor_wmark_simple.c	2017-07-20 09:41:20.000000000 +0200
+++ l4t-sources-28-1/kernel/kernel-4.4/drivers/devfreq/governor_wmark_simple.c	2017-09-21 18:56:02.021150243 +0200
@@ -23,7 +23,7 @@
 #include <linux/platform_device.h>
 #include <linux/module.h>
 
-#include <governor.h>
+#include "governor.h"
 
 enum watermark_type {
 	NO_WATERMARK_EVENT = 0,
diff -burp l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/media/platform/tegra/mipical/vmipi/vmipi.c l4t-sources-28-1/kernel/kernel-4.4/drivers/media/platform/tegra/mipical/vmipi/vmipi.c
--- l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/media/platform/tegra/mipical/vmipi/vmipi.c	2017-07-20 09:41:21.000000000 +0200
+++ l4t-sources-28-1/kernel/kernel-4.4/drivers/media/platform/tegra/mipical/vmipi/vmipi.c	2017-09-21 21:57:29.060373968 +0200
@@ -24,7 +24,7 @@
 #include <linux/wait.h>
 #include <linux/tegra-ivc.h>
 
-#include "mipi_cal.h"
+#include "../mipi_cal.h"
 #include "vmipi.h"
 
 const char *tegra_vmipi_cmd[] = {
diff -burp l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/misc/eqos_ape/eqos_ape_ioctl.h l4t-sources-28-1/kernel/kernel-4.4/drivers/misc/eqos_ape/eqos_ape_ioctl.h
--- l4t-sources-28-1.orig/kernel/kernel-4.4/drivers/misc/eqos_ape/eqos_ape_ioctl.h	2017-07-20 09:41:21.000000000 +0200
+++ l4t-sources-28-1/kernel/kernel-4.4/drivers/misc/eqos_ape/eqos_ape_ioctl.h	2017-11-11 14:04:12.559904937 +0100
@@ -25,7 +25,7 @@
 #include <linux/cdev.h>
 #include <linux/fs.h>
 
-#include <eqos_ape_global.h>
+#include "eqos_ape_global.h"
 
 struct eqos_ape_cmd {
 	int ppm;
diff -burp l4t-sources-28-1.orig/kernel/kernel-4.4/include/linux/irqchip/arm-gic.h l4t-sources-28-1/kernel/kernel-4.4/include/linux/irqchip/arm-gic.h
--- l4t-sources-28-1.orig/kernel/kernel-4.4/include/linux/irqchip/arm-gic.h	2017-07-20 09:41:24.000000000 +0200
+++ l4t-sources-28-1/kernel/kernel-4.4/include/linux/irqchip/arm-gic.h	2017-09-21 23:13:21.245410248 +0200
@@ -97,13 +97,13 @@
 #define GICH_MISR_EOI			(1 << 0)
 #define GICH_MISR_U			(1 << 1)
 
+#ifndef __ASSEMBLY__
+
 enum domain_gic_pm_event {
 	MOD_DOMAIN_POWER_ON,
 	MOD_DOMAIN_POWER_OFF
 };
 
-#ifndef __ASSEMBLY__
-
 #include <linux/irqdomain.h>
 
 struct device_node;
diff -burp l4t-sources-28-1.orig/kernel/nvgpu/drivers/gpu/nvgpu/Makefile.nvgpu l4t-sources-28-1/kernel/nvgpu/drivers/gpu/nvgpu/Makefile.nvgpu
--- l4t-sources-28-1.orig/kernel/nvgpu/drivers/gpu/nvgpu/Makefile.nvgpu	2017-07-20 09:41:34.000000000 +0200
+++ l4t-sources-28-1/kernel/nvgpu/drivers/gpu/nvgpu/Makefile.nvgpu	2017-09-21 21:51:36.955408301 +0200
@@ -5,6 +5,7 @@ ccflags-y += -Idrivers/video/tegra/host
 ccflags-y += -Idrivers/devfreq
 ccflags-y += -I../nvgpu/include
 ccflags-y += -I../nvgpu/include/uapi
+ccflags-y += -I../nvgpu/drivers/gpu/nvgpu
 ccflags-y += -I../nvgpu/drivers/gpu/nvgpu/include
 ccflags-y += -Wno-multichar
 ccflags-y += -Werror
diff -burp l4t-sources-28-1.orig/kernel/t18x/include/sound/tegra_audio.h l4t-sources-28-1/kernel/t18x/include/sound/tegra_audio.h
--- l4t-sources-28-1.orig/kernel/t18x/include/sound/tegra_audio.h	2017-07-20 09:42:16.000000000 +0200
+++ l4t-sources-28-1/kernel/t18x/include/sound/tegra_audio.h	2017-09-21 22:11:25.738436244 +0200
@@ -21,9 +21,9 @@
 
 #include <linux/platform_device.h>
 #include <sound/soc.h>
-#include "tegra210_xbar_alt.h"
-#include "tegra210_afc_alt.h"
-#include "ahub_unit_fpga_clock.h"
+#include "sound/soc/tegra-alt/tegra210_xbar_alt.h"
+#include "sound/soc/tegra-alt/tegra210_afc_alt.h"
+#include "sound/soc/tegra-alt/ahub_unit_fpga_clock.h"
 #include "sound/soc/tegra-alt/ahub_unit_fpga_clock_t18x.h"
 #include "sound/soc/tegra-alt/tegra186_admaif_alt.h"
 #include "sound/soc/tegra-alt/tegra186_afc_alt.h"
